Subject: Re: [PATCH v1] git-p4: place temporary refs used for branch import under ref/git-p4-tmp

From: Michael Haggerty <[email-masked]>
Date: Tue, 28 Jun 2016 12:26:28 +0200

On 06/27/2016 09:26 AM, [email-masked] wrote:
> Git-P4 used to place temporary refs under "git-p4-tmp". Since 3da1f37
> Git checks that all refs are placed under "ref". Instruct Git-P4 to
> place temporary refs under "ref/git-p4-tmp". There are no backwards
> compatibility considerations as these refs are transient.
> 
> All refs under "ref" are shared across all worktrees. This is not
> desired for temporary Git-P4 refs and will be adressed in a later patch.

Thanks for working on this, Lars! Your change looks about what I would
expect, and hits the three places in the source where the string
`git-p4-tmp` appears, so it seems like a very plausible fix.

Michael